Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# SSL_Context.cpp File Reference

`#include "ace/OS_NS_string.h"`
`#include "ace/ACE.h"`
`#include "SSL_Context.h"`
`#include "sslconf.h"`
`#include "SSL_Context.inl"`
`#include "ace/Object_Manager.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Singleton.h"`
`#include <openssl/x509.h>`
`#include <openssl/err.h>`
`#include <openssl/rand.h>`

Include dependency graph for SSL_Context.cpp:

## Functions
| ACE_RCSID (ACE_SSL, SSL_Context,"$Id:SSL_Context.cpp, v 1.44 2004/01/08 16:12:19 shuston Exp$") ACE_mutex_t *ACE_SSL_Context
void | ACE_SSL_locking_callback (int mode, int type, const char *, int)
unsigned long | ACE_SSL_thread_id (void)

## Function Documentation

ACE_RCSID | ( | ACE_SSL | ,
|  | SSL_Context | ,
|  | "$Id:SSL_Context. | cpp,
|  | v 1.44 2004/01/08 16:12:19 shuston Exp$" |
| ) |

void ACE_SSL_locking_callback | ( | int | mode,
|  | int | type,
|  | const char * | file,
|  | int | line
| ) |

| Mutex locking/unlocking callback for OpenSSL multithread support.

unsigned long ACE_SSL_thread_id | ( | void |  | ) |

| Return the current thread ID. OpenSSL uses this on platforms that need it.